// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

// Input that represents an Entity's Key (used in deletion and retriveal per key)
type KeyInput struct {
	// Key of an Entity
	Key string `json:"key"`
}

// Input that represents a New Product Entity
type NewProduct struct {
	// Brand of the product
	Brand string `json:"brand"`
	// Name of the product
	Name string `json:"name"`
	// Barcode of the product
	Ean string `json:"ean"`
	// Category ('Vending' or 'OCS') of the product
	Category string `json:"category"`
	// Quantity of the product in warehouse
	Quantity float64 `json:"quantity"`
	// Typology ('Hot' or 'Cold') of the product (should exist only on Vending category)
	Typology *string `json:"typology"`
	// Tags ('Dolce','Salato','Caffè','Accessori','Healthy/Salutare','Bevanda','Snack','Altro') that describes the product (optional)
	Tags []*string `json:"tags"`
}

// Input that represents a New Supplier Entity
type NewSupplier struct {
	// Name of the Supplier
	Name string `json:"name"`
	// IBAN of the Supplier
	Iban string `json:"iban"`
	// Tags (types of products sold) of the Supplier (optional)
	Tags []*string `json:"tags"`
}

// Type that represents a Product Entity
type Product struct {
	// Key in DB of the product
	Key *string `json:"key"`
	// Brand of the product
	Brand *string `json:"brand"`
	// Name of the product
	Name *string `json:"name"`
	// Barcode of the product
	Ean *string `json:"ean"`
	// Category ('Vending' or 'OCS') of the product
	Category *string `json:"category"`
	// Quantity of the product in warehouse
	Quantity *float64 `json:"quantity"`
	// Typology ('Hot' or 'Cold') of the product (should exist only on Vending category)
	Typology *string `json:"typology"`
	// Tags ('Dolce','Salato','Caffè','Accessori','Healthy/Salutare','Bevanda','Snack','Altro') that describes the product (optional)
	Tags []*string `json:"tags"`
}

func (Product) IsEntity() {}

// Input that represents an Updated Product Entity
type ProductInput struct {
	// Key in DB of the existing product
	Pkey string `json:"pkey"`
	// Brand of the product
	Brand *string `json:"brand"`
	// Name of the product
	Name *string `json:"name"`
	// Barcode of the product
	Ean *string `json:"ean"`
	// Category ('Vending' or 'OCS') of the product
	Category *string `json:"category"`
	// Quantity of the product in warehouse
	Quantity *float64 `json:"quantity"`
	// Typology ('Hot' or 'Cold') of the product (should exist only on Vending category)
	Typology *string `json:"typology"`
	// Tags ('Dolce','Salato','Caffè','Accessori','Healthy/Salutare','Bevanda','Snack','Altro') that describes the product (optional)
	Tags []*string `json:"tags"`
}

// Type that represents an Entity's Key
type ReturnKey struct {
	// Key of an Entity
	Key string `json:"key"`
}

// Type that represents a Supplier Entity
type Supplier struct {
	// Key in DB of the Supplier
	Key *string `json:"key"`
	// Name of the Supplier
	Name *string `json:"name"`
	// IBAN of the Supplier
	Iban *string `json:"iban"`
	// Tags (types of products sold) of the Supplier (optional)
	Tags []*string `json:"tags"`
}

func (Supplier) IsEntity() {}

// Input that represents an Updated Supplier Entity
type SupplierInput struct {
	// Key in DB of the existing Supplier
	Skey string `json:"skey"`
	// Name of the Supplier
	Name *string `json:"name"`
	// IBAN of the Supplier
	Iban *string `json:"iban"`
	// Tags (types of products sold) of the Supplier (optional)
	Tags []*string `json:"tags"`
}
